Vai al contenuto principale
GET
JavaScript

Autorizzazioni

Authorization
string
header
obbligatorio

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parametri della query

page_size
integer<int32>

Page size (default = 10, max = 100).

Intervallo richiesto: x >= 0
page_number
integer<int32>

Page number (default = 0).

Intervallo richiesto: x >= 0
code
string

Filter by discount code (partial match, case-insensitive)

discount_type
enum<string>

Filter by discount type

Opzioni disponibili:
flat,
percentage
active
boolean

Filter by active status. true = currently redeemable (started, not expired, not usage-exhausted). false = not currently redeemable (expired, usage-exhausted, or pending a future starts_at).

product_id
string

Filter by product restriction (only discounts that apply to this product)

Risposta

List of active Discounts

items
object[]
obbligatorio

Array of active (non-deleted) discounts for the current page.

Ultima modifica il 1 aprile 2026